Kerbal Space Program - Bug #634

KSP ignores 'capslock’ key to toggle precision mode
05/17/2013 01:20 PM - SuperD

Status: Closed Start date: 05/17/2013
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.19 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

In the OSX client hitting the caps lock key does not toggle the precision control mode.

going into the settings and attempting to reassign the button to the caps lock key causes no response. setting it to the Tab key or
anything else works fine.

History

#1 - 07/07/2013 02:26 PM - ojii
- Status changed from New to Confirmed

- % Done changed from 0 to 10

SuperD wrote:
In the OSX client hitting the caps lock key does not toggle the precision control mode.
going into the settings and attempting to reassign the button to the caps lock key causes no response. setting it to the Tab key or anything else

works fine.

Same issue here on an MacBookAir 5.1, OSX 10.8.4, using the steam version.

#2 - 09/10/2014 07:41 PM - PixelClef

0S:10.9.4
KSP: 0.24.2.559

Confirmed this issue today in all three game modes. Caps Lock affects neither the granularity of response to WASD, nor does it change the color of
the input sliders in the bottom left.

#3 - 09/11/2014 08:13 AM - spudbean
Here is some debugging I've done by writing a small mod. This is on Mac OS X 10.9.4 using KSP 0.24.2.

| added these debug lines to an OnGUI() method:

Debug.Log ("via Event " + Event.current.capsLock);
Debug.Log ("via Input " +
Input.GetKey (KeyCode.CapsLock) + " " +
Input.GetKeyDown (KeyCode.CapsLock) + " " +

Input.GetKeyUp (KeyCode.CapsLock)) ;
When capslock is pressed, the output is:
[LOG 23:07:44.492] via Event True
[LOG 23:07:44.492] via Input False False False

I'm not sure what the best way to work around this problem is. One hack would be to specifically check to see if the primary/secondary in KeyBinding
capslock, and check Event.current instead of Input.GetKey, e.g.

bool primaryWasPressed = primary == KeyCode.CapsLock ? Event.current.capslock : Input.GetKey (primary);
#4 - 10/22/2014 06:14 AM - PixelClef

0S:10.9.5
KSP: 0.25.0.642

Noting again that this feature is not functional on the Mac platform. Is there further information that | can provide?

#5 - 07/17/2016 09:24 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#6 - 07/17/2016 04:59 PM - SoulWager
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

Confirmed in 1.1.3
Caps lock doesn't work, but reassigning fine controls to another key does work.

#7 - 07/19/2016 02:47 PM - cpcallen
- Status changed from Updated to Confirmed

Confirmed in 1.1.3 on OS X 10.11.5.

#8 - 07/20/2016 10:54 AM - TriggerAu
Thanks for the update guys. Appreciate it

#9 - 11/09/2016 06:57 PM - sal_vager
- Status changed from Confirmed to Ready to Test

- % Done changed from 10 to 80

Hi guys, can you check that the Return key is now the default key for fine control on OSX please, you may need to rename the settings.cfg to prompt
KSP to make a fresh one.

#10 - 06/22/2017 08:26 PM - Squelch
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

#11 - 06/22/2017 08:27 PM - Squelch

- Status changed from Resolved to Closed
